//=-- HourlyGraphPlugin.h - Graphs accesses by the hour ----------------------=
//
//  This class 
//
//=---------------------------------------------------------------------------=
//  This file is copyright (c) 1997-1998 Chris Lattner
//=---------------------------------------------------------------------------=

#include "PagePlugin.h"
#include "AccessFormatPlugin.h"
#include "VarTable.h"

class HourlyGraphPlugin : public PluginTemplate<PagePlugin,HourlyGraphPlugin> {
public:
  inline static unsigned int GetCurrentVersion() {
    return 100;                       // Version 1.00
  }

  inline static const char *GetPluginName() {
    return "HourlyGraph";
  }

  HourlyGraphPlugin(int &CE);
  void ResetState();
  void OutputHTML(ostream &, VarTable &);  
  void ProcessAccess(AccessFormatPlugin &);
  void SaveState(Serialize &);
  void LoadState(Serialize &);

  void GetFullName(VarTable &Params, String &FullName, int UpdateFreq);

private :
  int HourCount[24];  // Count for each hour
};
